CUDNN Frontend API 8.3.0

Public Member Functions | Private Member Functions | Private Attributes | Friends | List of all members
cudnn_frontend::VariantPack_v8 Class Reference

`#include <cudnn_frontend_VariantPack.h>`

Inheritance diagram for cudnn_frontend::VariantPack_v8:
Collaboration diagram for cudnn_frontend::VariantPack_v8:

## Public Member Functions
std::string | describe () const override
| Return a string describing the backend Descriptor. More...
| VariantPack_v8 (VariantPack_v8 &&from)=default
VariantPack_v8 & | operator= (VariantPack_v8 &&from)=default
| ~VariantPack_v8 ()=default
Public Member Functions inherited from cudnn_frontend::BackendDescriptor
cudnnBackendDescriptor_t | get_raw_desc () const
cudnnStatus_t | get_status () const
| Current status of the descriptor. More...
void | set_status (cudnnStatus_t const status_) const
| Set status of the descriptor. More...
void | set_error (const char *message) const
| Set Diagonistic error message. More...
const char * | get_error () const
| Diagonistic error message if any. More...
ManagedOpaqueDescriptor | get_desc () const
| Returns a copy of underlying managed descriptor. More...
cudnnStatus_t | initialize_managed_backend_pointer (cudnnBackendDescriptorType_t type)
| Initializes the underlying managed descriptor. More...

## Private Member Functions
| VariantPack_v8 ()=default
| VariantPack_v8 (VariantPack_v8 const &)=delete
VariantPack_v8 & | operator= (VariantPack_v8 const &)=delete

## Private Attributes
void * | workspace = nullptr
void * | data_pointers [10] = {nullptr}
int64_t | uid [10] = {-1}
int64_t | num_ptrs = -1

## Friends
class | VariantPackBuilder_v8

## Additional Inherited Members
Protected Member Functions inherited from cudnn_frontend::BackendDescriptor
| BackendDescriptor (ManagedOpaqueDescriptor pointer_, cudnnStatus_t status_, std::string err_msg_)
| BackendDescriptor ()=default
Protected Attributes inherited from cudnn_frontend::BackendDescriptor
ManagedOpaqueDescriptor | pointer
cudnnStatus_t | status = CUDNN_STATUS_SUCCESS
| Shared pointer of the OpaqueBackendPointer. More...
std::string | err_msg
| Error message if any being set. More...

## Detailed Description

VariantPack_v8 Class This class tells the Configuration of the Engine in terms of the knob choices Properties:

- num knobs
- Choice
- Engine

Use VariantPackBuilder_v8 to build this class. Describe returns a string describing the tensor class

Definition at line 52 of file cudnn_frontend_VariantPack.h.

## Constructor & Destructor Documentation

## ◆ VariantPack_v8() [1/3]

cudnn_frontend::VariantPack_v8::VariantPack_v8 | ( | VariantPack_v8 && | from | ) |
| default

## ◆ ~VariantPack_v8()

cudnn_frontend::VariantPack_v8::~VariantPack_v8 | ( |  | ) |
| default

Referenced by describe().

## ◆ VariantPack_v8() [2/3]

cudnn_frontend::VariantPack_v8::VariantPack_v8 | ( |  | ) |
| privatedefault

Referenced by describe().

## ◆ VariantPack_v8() [3/3]

cudnn_frontend::VariantPack_v8::VariantPack_v8 | ( | VariantPack_v8 const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ describe()

std::string cudnn_frontend::VariantPack_v8::describe | ( |  | ) | const
| inlineoverridevirtual

Return a string describing the backend Descriptor.

Implements cudnn_frontend::BackendDescriptor.

Definition at line 56 of file cudnn_frontend_VariantPack.h.

References num_ptrs, operator=(), VariantPack_v8(), and ~VariantPack_v8().

## ◆ operator=() [1/2]

VariantPack_v8& cudnn_frontend::VariantPack_v8::operator= | ( | VariantPack_v8 && | from | ) |
| default

Referenced by cudnn_frontend::VariantPackBuilder_v8::build(), and describe().

## ◆ operator=() [2/2]

VariantPack_v8& cudnn_frontend::VariantPack_v8::operator= | ( | VariantPack_v8 const & |  | ) |
| privatedelete

## Friends And Related Function Documentation

## ◆ VariantPackBuilder_v8

friend class VariantPackBuilder_v8
| friend

Definition at line 54 of file cudnn_frontend_VariantPack.h.

Referenced by cudnn_frontend::VariantPackBuilder_v8::build().

## Member Data Documentation

## ◆ data_pointers

void* cudnn_frontend::VariantPack_v8::data_pointers[10] = {nullptr}
| private

Definition at line 76 of file cudnn_frontend_VariantPack.h.

Referenced by cudnn_frontend::VariantPackBuilder_v8::setDataPointers().

## ◆ num_ptrs

int64_t cudnn_frontend::VariantPack_v8::num_ptrs = -1
| private

Definition at line 78 of file cudnn_frontend_VariantPack.h.

Referenced by describe().

## ◆ uid

int64_t cudnn_frontend::VariantPack_v8::uid[10] = {-1}
| private

Definition at line 77 of file cudnn_frontend_VariantPack.h.

Referenced by cudnn_frontend::VariantPackBuilder_v8::setUids().

## ◆ workspace

void* cudnn_frontend::VariantPack_v8::workspace = nullptr
| private

Definition at line 75 of file cudnn_frontend_VariantPack.h.

The documentation for this class was generated from the following file:

- cudnn_frontend_VariantPack.h